Bug 972590 - Review Request: sugar-starchart - Display a map of the sky showing the position of the visible stars
Summary: Review Request: sugar-starchart - Display a map of the sky showing the positi...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-10 07:40 UTC by Danishka Navin
Modified: 2013-08-15 03:04 UTC (History)
3 users (show)

Fixed In Version: sugar-starchart-15-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-15 02:50:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Danishka Navin 2013-06-10 07:40:40 UTC
Spec URL: http://snavin.fedorapeople.org/packages/sugar-starchart/sugar-starchart.spec

SRPM URL: http://snavin.fedorapeople.org/packages/sugar-starchart/sugar-starchart-15-1.fc18.src.rpm

Description: 

This activity will display a map of the sky showing the position of the visible stars, some of the larger and brighter deep-sky objects (DSOs), the "classical" planets, the sun and the moon. 

Fedora Account System Username: snavin

Comment 1 Parag AN(पराग) 2013-06-10 08:37:39 UTC
Review:-

+ Mock build successful for f20

- rpmlint on generated rpms gave
sugar-starchart.noarch: E: script-without-shebang /usr/share/sugar/activities/StarChart.activity/activity/activity.info
sugar-starchart.noarch: E: script-without-shebang /usr/share/sugar/activities/StarChart.activity/activity/StarChart.svg
sugar-starchart.noarch: E: wrong-script-end-of-line-encoding /usr/share/sugar/activities/StarChart.activity/activity/StarChart.svg
2 packages and 0 specfiles checked; 3 errors, 0 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     : c5e1e4275303b8d60f335a5d73804535daebcb3c312e89546436ec478192ec94
upstream tarball : c5e1e4275303b8d60f335a5d73804535daebcb3c312e89546436ec478192ec94

+ License is valid and its text is available

+ rest looks as per packaging guidelines


Suggestions
1) As suggested in previous other reviews change --prefix=%{buildroot}/%{_prefix} to --prefix=%{buildroot}%{_prefix}


2) rpmlint errors can be fixed by adding following line in %prep
chmod 644 activity/*

Comment 3 Parag AN(पराग) 2013-06-10 09:03:18 UTC
Looks good.

APPROVED.

Comment 4 Danishka Navin 2013-06-10 09:05:39 UTC
New Package SCM Request
=======================
Package Name: sugar-starchart
Short Description: Display a map of the sky showing the position of the visible stars
Owners: snavin
Branches: f17 f18 f19
InitialCC:

Comment 5 Gwyn Ciesla 2013-06-10 12:42:24 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-08-05 03:54:09 UTC
sugar-starchart-15-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sugar-starchart-15-3.fc18

Comment 7 Fedora Update System 2013-08-05 03:54:20 UTC
sugar-starchart-15-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sugar-starchart-15-3.fc19

Comment 8 Fedora Update System 2013-08-06 00:19:44 UTC
sugar-starchart-15-3.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-08-15 02:50:55 UTC
sugar-starchart-15-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 10 Fedora Update System 2013-08-15 03:04:25 UTC
sugar-starchart-15-3.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.